 <?
/**
 * 用户管理
 * $Id: user_list.php
 * @author taocy
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 不做权限检查
if (!checkAuthority("ADMIN,MANAGER,STAFF")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$action_type = ParamUtil::getRequestString("action_type");
$id = ParamUtil::getRequestNumber("id", 0);
if($action_type == "confirmPay" && $id > 0) {
	//获取报名记录
	$user_buy_course_dat = UserBuyCouseDat::getById($id);
	if(!empty($user_buy_course_dat) && $user_buy_course_dat->status=="PAYED") {
		$user_buy_course_dat->status = "FINISH";
		$user_buy_course_dat->save();
	}
	
}

//退回操作的话，会逻辑删除本条记录
$param = array();
$param["delete_flg"] = false;
$user_buy_course_list = UserBuyCouseDat::getList($param, "id", "desc");
$total_count = count($user_buy_course_list);

// 页面
$_SCRIPT_FILE = array("scripts/validators.js", "scripts/user_buy_list.js");
$layout_pages = array();
$layout_pages["top"] = "menu.inc";
$layout_pages["menu_clicked"] = "li_user";
$layout_pages["middle"] = "user_buy_course_list.inc";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
exit;
?>